SCSI_PREP_ASYNC_SCAN(9)

NAME
scsi_prep_async_scan - prepare for an async scan

SYNOPSIS

struct async_scan_data * scsi_prep_async_scan(struct Scsi_Host * shost);

ARGUMENTS

shost
    the host which will be scanned

RETURNS

a cookie to be passed to scsi_finish_async_scan

Tells the midlayer this host is going to do an asynchronous scan. It reserves the host's position in the scanning list and ensures that other asynchronous scans started after this one won't affect the ordering of the discovered devices.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT